Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.util.keystore
Class DefaultKeyStore

    java.lang.Object
      org.apache.jmeter.util.keystore.JmeterKeyStore
          org.apache.jmeter.util.keystore.DefaultKeyStore

public class DefaultKeyStore
extends JmeterKeyStore

Use this Keystore to wrap the normal KeyStore implementation.

Constructor Summary
`DefaultKeyStore(String type)`

Method Summary
`String` | `getAlias()`
`X509Certificate[]` | `getCertificateChain()` Get the ordered certificate chain.
`PrivateKey` | `getPrivateKey()` Return the private Key
`void` | `load(InputStream is, String pword)` Process the input stream

Methods inherited from class org.apache.jmeter.util.keystore.JmeterKeyStore
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultKeyStore

    public DefaultKeyStore(String type)
                    throws Exception

Method Detail

### load

    public void load(InputStream is,
                     String pword)
              throws Exception

  Description copied from class: `JmeterKeyStore`
  Process the input stream

  Specified by:
    `load` in class `JmeterKeyStore`
  Throws:
    `Exception`

### getCertificateChain

    public final X509Certificate[] getCertificateChain()

  Description copied from class: `JmeterKeyStore`
  Get the ordered certificate chain.

  Specified by:
    `getCertificateChain` in class `JmeterKeyStore`

### getPrivateKey

    public final PrivateKey getPrivateKey()

  Description copied from class: `JmeterKeyStore`
  Return the private Key

  Specified by:
    `getPrivateKey` in class `JmeterKeyStore`

### getAlias

    public final String getAlias()

  Specified by:
    `getAlias` in class `JmeterKeyStore`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.